apiVersion: v1
kind: ResourceQuota
metadata:
  name: teamx-resource-quota
  namespace: teamx
spec:
  hard:
    limits.cpu: 150m
    limits.memory: 600Mi
    requests.cpu: 150m
    requests.memory: 600Mi


# limits.cpu is the maximum CPU limit for all the containers in the Namespace, i.e. the entire namespace.
# limits.memory is the maximum Memory limit for all containers in the Namespace, i.e. the entire namespace.
# requests.cpu is the maximum CPU requests for all the containers in the Namespace. As per the above YAML, total requested CPU in the Namespace should be less than 150m.
# requests.memory is the maximum Memory requests for all the containers in the Namespace. As per the above YAML, Total requested memory in the namespace should be less than 600Mi.
